Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.tutorial.rawserialization2
Class MyMsg

    java.lang.Object
      rice.p2p.past.messaging.PastMessage
          rice.p2p.past.messaging.ContinuationMessage
              rice.p2p.past.messaging.LookupMessage
                  rice.tutorial.rawserialization2.MyMsg

All Implemented Interfaces:
  java.io.Serializable, Continuation, Message, RawMessage, RawSerializable

    public class MyMsg

extends LookupMessage

An example message.

Author:
  Jeff Hoye
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface rice.Continuation
`Continuation.ErrorContinuation<R,E extends java.lang.Exception>, Continuation.ExternalContinuation<R,E extends java.lang.Exception>, Continuation.ExternalContinuationRunnable<R,E extends java.lang.Exception>, Continuation.ExternalRunnable, Continuation.ListenerContinuation<R,E extends java.lang.Exception>, Continuation.MultiContinuation, Continuation.NamedContinuation, Continuation.SimpleContinuation, Continuation.StandardContinuation<R,E extends java.lang.Exception>`

Field Summary

Fields inherited from class rice.p2p.past.messaging.LookupMessage
`TYPE`

Fields inherited from class rice.p2p.past.messaging.ContinuationMessage
`exception, response, S_EMPTY, S_JAVA_EXCEPTION, S_JAVA_RESPONSE, S_SUB, serType`

Fields inherited from class rice.p2p.past.messaging.PastMessage
`dest, isResponse, source`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`MyMsg(NodeHandle from, Id to)` Constructor.

Method Summary
`int` | `getPriority()` Use low priority to prevent interference with overlay maintenance traffic.
`void` | `serialize(OutputBuffer buf)` Deprecated to cause warnings.
`java.lang.String` | `toString()` Returns a string representation of this message

Methods inherited from class rice.p2p.past.messaging.LookupMessage
`addHop, build, getId, getPreviousNodeHandle, getType, isCached, setCached`

Methods inherited from class rice.p2p.past.messaging.ContinuationMessage
`deserialize, getResponse, receiveException, receiveResult, returnResponse, serialize`

Methods inherited from class rice.p2p.past.messaging.PastMessage
`getDestination, getSource, getUID, isResponse, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MyMsg

    public MyMsg(NodeHandle from,
                 Id to)

  Constructor.

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `LookupMessage`
  Returns a string representation of this message

  Overrides:
    `toString` in class `LookupMessage`
  Returns:
    A string representing this message

### getPriority

    public int getPriority()

  Use low priority to prevent interference with overlay maintenance traffic.

  Specified by:
    `getPriority` in interface `Message`
  Overrides:
    `getPriority` in class `PastMessage`
  Returns:
    This message's priority

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Description copied from class: `ContinuationMessage`
  Deprecated to cause warnings. use serialize(OutputBuffer buf, boolean javaSerialize)

  Specified by:
    `serialize` in interface `RawSerializable`
  Overrides:
    `serialize` in class `LookupMessage`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.